Package org.globus.ftp.dc

# Class LocalReply

java.lang.Object
org.globus.ftp.vanilla.Reply
org.globus.ftp.dc.LocalReply

All Implemented Interfaces:
  `Serializable`

public class LocalReply extends Reply
Local server communicate with client with a simplified control channel. This is a local, minimal version of Reply, free of overhead caused by parsing during construction.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.globus.ftp.vanilla.Reply

`category, code, isMultiline, message, PERMANENT_NEGATIVE_COMPLETION, POSITIVE_COMPLETION, POSITIVE_INTERMEDIATE, POSITIVE_PRELIMINARY, TRANSIENT_NEGATIVE_COMPLETION`

## Constructor Summary

Constructors
Constructor
Description
`LocalReply(int code)`
`LocalReply(int code, String message)`

## Method Summary

### Methods inherited from class org.globus.ftp.vanilla.Reply

`getCategory, getCode, getMessage, ignoreLeading0, isMultiline, isPermanentNegativeCompletion, isPositiveCompletion, isPositiveIntermediate, isPositivePreliminary, isTransientNegativeCompletion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalReply

public LocalReply(int code)

### LocalReply

public LocalReply(int code, String message)